Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.configuration
Class CacheDatabase

    java.lang.Object
      org.deegree.ogcwebservices.wmps.configuration.CacheDatabase

    public class CacheDatabase

extends Object

This class is a container for the database used to cache the asynchronous request.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Anup Deshmukh, last edited by: $Author: mschneider $

Constructor Summary
`CacheDatabase(String driver, String url, String user, String password)` Create a new CacheDatabase instance.

Method Summary
`String` | `getDriver()`
`String` | `getPassword()`
`String` | `getUrl()`
`String` | `getUser()`
`void` | `setDriver(String driver)`
`void` | `setPassword(String password)`
`void` | `setUrl(String url)`
`void` | `setUser(String user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheDatabase

    public CacheDatabase(String driver,
                         String url,
                         String user,
                         String password)

  Create a new CacheDatabase instance.

  Parameters:
    `driver` -
    `url` -
    `user` -
    `password` -

Method Detail

### getDriver

    public String getDriver()

  Returns:
    Returns the driver.

### setDriver

    public void setDriver(String driver)

  Parameters:
    `driver` - The driver to set.

### getPassword

    public String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(String password)

  Parameters:
    `password` - The password to set.

### getUrl

    public String getUrl()

  Returns:
    Returns the url.

### setUrl

    public void setUrl(String url)

  Parameters:
    `url` - The url to set.

### getUser

    public String getUser()

  Returns:
    Returns the user.

### setUser

    public void setUser(String user)

  Parameters:
    `user` - The user to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org